import { MalloyRendererOptions } from './types';
import { RenderPluginFactory, RenderPluginInstance } from './plugin-types';
import { RenderFieldMetadata } from '../render-field-metadata';
import type * as Malloy from '@malloydata/malloy-interfaces';
export declare class MalloyViz {
    private options;
    private disposeFn;
    private targetElement;
    private result;
    private metadata;
    private pluginRegistry;
    constructor(options: MalloyRendererOptions, pluginRegistry?: RenderPluginFactory[]);
    static addStylesheet(styles: string): void;
    getHTML(): Promise<string>;
    copyToHTML(): Promise<void>;
    setResult(malloyResult: Malloy.Result): void;
    render(targetElement?: HTMLElement): void;
    remove(): void;
    updateOptions(newOptions: Partial<MalloyRendererOptions>): void;
    getMetadata(): RenderFieldMetadata | null;
    getActivePlugin(fieldKey: string): RenderPluginInstance | null;
}
